@font-face {
  font-family: 'HPEGraphik-Thin';
  src: url('../HPEGraphic/HPE-Graphik-Thin.otf') format('opentype');
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: 'HPEGraphik-Light';
  src: url('../HPEGraphic/HPE-Graphik-Light.otf') format('opentype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'HPEGraphik-regular';
  src: url('../HPEGraphic/HPE-Graphik-Regular.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
}


@font-face {
  font-family: 'HPEGraphik-Semibold';
  src: url('../HPEGraphic/HPE-Graphik-Semibold.otf') format('opentype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'HPEGraphik-Bold';
  src: url('../HPEGraphic/HPE-Graphik-Bold.otf') format('opentype');
  font-weight: bold;
  font-style: normal;
}


@font-face {
  font-family: 'HPEGraphikCondensed-Semibold';
  src: url('../HPEGraphic/HPE-GraphikXXCondensed-Semibold.otf') format('opentype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'HPEGraphikCondensed-Bold';
  src: url('../HPEGraphic/HPE-GraphikXXCondensed-Bold.otf') format('opentype');
  font-weight: bold;
  font-style: normal;
}


:root {

  --primary-color: #7764FC;
  --dark-color: #292D3A;
  --blue-color: #0571CA;
  --dark-blue:#010F58;
  --green-color: #046364;

  --cyan:#00F9FE;
  --orange: #ED7700;
  --orange-hover: #ff9224;
  --teal-900: #005f63;
  --teal-800: #006b74;
  --teal-700: #0b7f87;
  --blue-600: #0067b3;
  --yellow-500: #d9a520;
  --gray-50: #f6f8fa;
  --gray-200: #e5e7eb;
}



html,
body {
 font-family: 'Roboto', sans-serif;
  font-weight: 300;
  /* font-size: 1.1rem; */
  line-height: 1.1 ;
}


.fw-thin {
  /* font-family: 'HPEGraphik-Thin', sans-serif; */
  font-weight: 200 !important;
}

.fw-light {
  /* font-family: 'HPEGraphik-Light', sans-serif; */
  font-weight: 200 !important;
}

.fw-lighter {
  /* font-family: 'HPEGraphik-Thin', sans-serif; */
  font-weight: 300 !important;
}

.fw-regular {
  /* font-family: 'HPEGraphik-regular', sans-serif; */
  font-weight: 400;
}

.fw-bolder, .semi-bold {
  /* font-family: 'HPEGraphik-Semibold', sans-serif; */
  font-weight: 600 !important;
}

.fw-bold {
  /* font-family: 'HPEGraphik-Bold', sans-serif; */
  font-weight: 800 !important;
}

.bold-condensed {
  /* font-family: 'HPEGraphikCondensed-Bold', sans-serif; */
  font-weight: 700;
}

.semi-bold-condensed {
  /* font-family: 'HPEGraphikCondensed-Semibold', sans-serif; */
  font-weight: 700;
}

.text-purple {
  color: var(--toolkit-purple) !important;
}

.text-blue {
  color: var(--toolkit-blue) !important;
}
.text-green {
  color: var(--toolkit-green) !important;
}

.text-orange {
  color: var(--orange) !important;
}


.fs-7 {
  font-size: .8rem;
}

.display-lg{
  font-size: 7.5rem;
}

.small, small {
  font-size: .7em;
  line-height: 1.1;
}

label.is-invalid {
  color: red;
  font-size: 0.8rem;
  padding-left: 5px;
}





/* ############## 
background colors
############## */

.bg_panel {
  background: #000 url('../imgs/bg-banner.jpg') no-repeat center;
  background-size: cover;
}

.bg_primary {
  background: var(--primary-color);
}
.bg_white {
  background: rgba(255, 255, 255, 0.7);
}

.bg-green {
  background: var(--green-color) ;
}

.bg-blue {
  background-color: var(--blue-color) ;
}

.bg-blue-dark {
  background-color: var(--dark-blue) ;
}

.bg-cyan {
  background: var(--cyan) ;
}

.bg_page {
  background-position: center;
  background-size: cover;
}


.bg-welcome {
  background: #046364;
  background: radial-gradient(circle,rgba(4, 99, 100, 1) 0%, rgba(2, 50, 50, 1) 100%);
}

.panel_portada {
  min-height: 150px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}



/* ############## 
botones
############## */



.btn-port {
  z-index: 5;
  left: 0;
  bottom: 20px;
}

.btn-port img {
  width: 150px;
}



.btn-send {
  background-color: var();
  border-radius: 20px;
  display: flex;
  align-items: center;
}

.btn-success {
  background-color: var(--green-color);
  
  
}
.btn-success:hover {
  background-color: var(--teal-700);
  color: white;
}

.btn-orange {
  background-color: var(--orange);
 color: white;
  
}
.btn-orange:hover {
  color: white;
  background-color: var(--orange-hover);
}


.btn-primary {
  background: #1507FF;
  /* El degradado base */
  background: linear-gradient(180deg, rgba(21, 7, 255, 1) 0%, rgba(11, 4, 128, 1) 100%);
  border: none;
  color: white;
  /* padding: 10px 20px; */
  cursor: pointer;
  
  /* ANIMACIÓN: Definimos qué queremos animar y cuánto tiempo */
  transition: all 0.3s ease-in-out;
  display: inline-block;
  outline: none;
}

.btn-primary:hover {
  background: #004cff;
  /* El degradado al pasar el mouse */
  background: linear-gradient(180deg, rgba(0, 76, 255, 1) 0%, rgba(13, 4, 189, 1) 100%);
  
  /* EFECTO EXTRA: Se agranda un 5% y sube un poco */
  transform: translateY(-2px) scale(1.02);
  box-shadow: 0 5px 15px rgba(21, 7, 255, 0.4);
}

.btn-primary:active {
  /* EFECTO CLICK: Se encoge un poco al presionarlo */
  transform: scale(0.98);
}

.border-green{
  border: 5px solid #01a982;
}


.btn-send img,
.btn-confirm img {
  --display: none;
}

.btn-send[disabled],
.btn-confirm[disabled] {
  opacity: 0.8;
}

.btn-send[disabled] img,
.btn-confirm[disabled] img {
  display: inline;
}

.btn-red {
  background-color: rgb(245, 16, 0);
}

.btn-red:hover {
  background-color: rgb(224, 28, 14);
}

.btn-primary {
  background-color: #000FAD;
}

.btn-primary:hover {
  background-color: #0515ce;
}

.btn-menu{
  border: 0px;
  border-left: 15px solid #b5b5b6;
}
.btn-menu-active {
border: 0px;
  border-left: 15px solid #126de7;
}

.icon-box {
  width: 50px;
  height: 20px;
  /* transform: scale(1.5); */
}

.icon-loading {
  width: 30px;
  height: 20px;
  transform: scale(1.5);
}

.swal2-popup {
  border-radius: 0 !important;
}


.carousel-control-prev {
  left: -70px;
}

.carousel-control-next {
  right: -70px;
}

.margin_top_n50 {
  transform: translateY(-110px);
    margin-bottom: -95px;
}
.avatar-login {
  max-width: 480px;
  z-index: 10;
}

.bg-white-transparent {
  background-color: rgba(255, 255, 255, 0.384);
}


.form-floating {
  background-color: rgba(255, 255, 255, 0.384);
}

.rounded-4 {
  border-radius: 0.5rem !important;

}

.form-floating>.form-control {
  padding: .5rem .0rem;
  border: 0px;
  border-bottom: 2px solid rgb(219, 219, 219);
}

.form-floating>.form-select {
  border: 0px;
  border-bottom: 2px solid rgb(219, 219, 219);
  padding-left: 0;
}

.form-floating>label {
  padding: 1rem .5rem;
  font-size: .9rem;
  line-height: 1;
}

.form-floating>.form-control,
.form-floating>.form-select {
  /* height: calc(3.2rem + 2px); */
  border-radius: 0;
  color: #000;
  background-color: transparent;
}

.form-floating>.form-control:focus~label,
.form-floating>.form-control:not(:placeholder-shown)~label,
.form-floating>.form-select~label {
  opacity: .55;
  transform: scale(.8) translateY(-.8rem) translateX(.0rem);
}

.form-control:focus {

  box-shadow: none;
  border-bottom: 2px solid var(--orange-hover) !important;
}


.form-control.is-invalid:focus,
.was-validated .form-control:invalid:focus {
  /* border-color: #dc3545;*/
  border-bottom-color: rgb(220, 53, 69);
  box-shadow: 0 0 0 0 rgba(220, 53, 69, .25);
}

#tabla-ventas .table-light td {
  border-width: 0;
}
.table-datatable td {
  /* font-size: 0.9rem; */
  padding: 12px 5px;
}
.tbl-agenda th:first-child,
.tbl-agenda td:first-child {
  width: 150px;
  min-width: 150px;
  /*
  overflow: hidden;
  text-overflow: ellipsis;
  */
}

/* Para Chrome, Safari, Edge y Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Para Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.navbar-nav li.nav-item {
  position: relative;
}
.navbar-nav li.nav-item a::after {
 content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 30px;
    width: 30%;
    height: 5px;
    
    background: rgba(255, 255, 255, 0.193);
}
.navbar-nav li.nav-item a.active::after {
 
    background: white
}
.gj-textbox-md {
  border: none;
  border-bottom: 2px solid rgb(219 219 219);
  display: block;
  /* font-family: Helvetica,Arial,sans-serif; */
  font-size: 16px;
  /* line-height: 16px; */
  padding: 21px 0;
  /* margin: 0; */
  width: 100%;
  background: 0 0;
  text-align: left;
  /* color: rgba(0,0,0,.87); */
  border-radius: 0;
}

.gj-datepicker-md [role=right-icon] {

  top: 16px;

}

.ui-datepicker {
  border-radius: 0 !important;
}

.ui-datepicker .ui-datepicker-title select {
  font-size: 0.8em !important;
  padding: 3px;
}

.ui-datepicker table {
  font-size: .8em !important;
}

.slideDown {
  animation-name: slideDown;
  -webkit-animation-name: slideDown;

  animation-duration: 1s;
  -webkit-animation-duration: 1s;

  animation-timing-function: ease;
  -webkit-animation-timing-function: ease;

  visibility: visible !important;
}


@keyframes slideDown {
  0% {
    transform: translateY(100%);
  }

  40% {
    transform: translateY(-10%);
  }

  70% {
    transform: translateY(5%);
  }

  100% {
    transform: translateY(0%);
  }
}

@-webkit-keyframes slideDown {
  0% {
    -webkit-transform: translateY(100%);
  }

  40% {
    -webkit-transform: translateY(-10%);
  }

  75% {
    -webkit-transform: translateY(5%);
  }

  100% {
    -webkit-transform: translateY(0%);
  }
}



/* ##########
personalizado de dashboard
########## */
.header-transparent{
  background-image: url('/assets/imgs/bg.webp'); 
   background-size: cover; 
   background-position: center;
}
.header-transparent header {
  background-color: transparent;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}


 .link_category a {
  color: white;
  aspect-ratio: 1 / 1;
  width: 100%;       /* Ocupa el ancho del contenedor */
  max-width: 320px;  /* Límite para que no sea gigante en desktop */
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  text-decoration: none;
  /* background-color: var(--green-color); */
  transition: background-color 0.3s ease, color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
}
 .link_category a:hover {
  background-color: white;
  color: black !important;
  box-shadow: 0 0 0 4px rgba(255, 255, 255, 0.6), 0 10px 22px rgba(0, 0, 0, 0.35);
  transform: translateY(-2px) scale(1.05);
}
.link_category  {
  display: flex;
  justify-content: center;
  
}
 .card {
  background-size: 100% !important;
  /* min-height: 300px; */
  transition: background-size 0.4s ease;
}
 .card:hover {
  background-size: 110% !important;
}

.zone-brand{
  border: 3px solid var(--cyan);
  border-top: 0px;
  border-radius: 0 0 20px 20px;
  background-color: var(--dark-blue);
}
.title-page {
  padding: 5px 20px;
  background-color: #00000073;
  border-radius: 10px;
  position: relative; /* Necesario para contener el destello */
  overflow: hidden;    /* Corta el destello cuando sale de los bordes */
  display: inline-block; /* Opcional: para que el fondo se ajuste al ancho del texto */
}

.title-page::before {
  content: "";
  position: absolute;
  top: 0;
  left: -150%; /* Empieza fuera de la vista a la izquierda */
  width: 50%;  /* Ancho del destello */
  height: 100%;
  background: linear-gradient(
    to right, 
    transparent 0%, 
    rgba(255, 255, 255, 0.2) 50%, 
    transparent 100%
  );
  transform: skewX(-25deg); /* Le da la inclinación diagonal clásica */
  animation: shine 3s infinite; /* Controla la velocidad aquí */
}

@keyframes shine {
  0% {
    left: -150%;
  }
  100% {
    left: 150%;
  }
}

.contenedor-flotante {
  position: relative;
  display: flex;        /* Si quieres alinear contenido interno */
  /* align-items: center;
  justify-content: center;
   */
  /* La animación se mantiene igual */
  animation: floating 3s ease-in-out infinite;
  
  /* Margen de seguridad */
  margin: 20px 0; 
}

@keyframes floating {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-12px); /* Movimiento ligero */
  }
}
.box-metal {
  background-image: url('../imgs/bg-dell_02.webp');
  background-position: center bottom;
  background-repeat: no-repeat;
  background-size: 100% 50px;
  height: 150px;
  z-index: 10;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;

 
}
.z-index-10{
  z-index: 10;
}
.hero-stadium {
  min-height: 430px;
  display: flex;
  align-items: center;
  
}

/* ##########
Media queries para portada
########## */

@media (min-width: 768px) {
  .display-1 { font-size: 4rem; }
  .display-2 { font-size: 3.5rem; }
  .display-3 { font-size: 2.8rem; }
  .display-4 { font-size: 2.2rem; }
  .display-5 { font-size: 1.8rem; }
}

@media (min-width: 1600px) {
  .avatar-points{
    max-width: 400px;
    /* z-index: 0; */
  }
  .panel_portada {
    min-height: 495px;
    display: flex;
    align-items: center;
  }



  .display-1 { font-size: 3.5rem; }
  .display-2 { font-size: 2.2rem; }
  .display-3 { font-size: 2rem; }
  .display-4 { font-size: 1.7rem; }
  .display-5 { font-size: 1.5rem; }

}


@media (min-width: 1800px) {
  .panel_portada {
    
    display: flex;
    align-items: center;
  }

  .hero-stadium {
    min-height: 750px;
    
  }

  .display-1 { font-size: 5.5rem; }
  .display-2 { font-size: 4.5rem; }
  .display-3 { font-size: 3.5rem; }

}

@media (max-width: 1499.98px) { 
  
  .avatar-login {
    max-width: 380px;
    /* z-index: 0; */
  }
}

@media (max-width: 1199.98px) {   
  
  .avatar-points{
    max-width: 350px;
  }

  .display-lg{
    font-size: 5.5rem;
  }

 }

 @media (max-width: 991.98px) { 
  .avatar-login {
      display: none;
    }

    .display-lg{
      font-size: 4.5rem;
    }
 }

@media (max-width: 768px) {
  .logos {
    width: 130px;
  }

  .text-img-portada {
    height: 100px;
  }

  .panel_portada {
    min-height: 110px;
  }

  .margin_top_n50 {
    transform: translateY(-100px);
  
}
.hero-stadium {
  min-height: 230px;  
}


}